### A free/open-source library for quantitative finance

Public Member Functions
CapPseudoDerivative Class Reference

`#include <ql/models/marketmodels/pathwisegreeks/swaptionpseudojacobian.hpp>`

List of all members.

## Public Member Functions

| CapPseudoDerivative (boost::shared_ptr< MarketModel > inputModel, Real strike, Size startIndex, Size endIndex, Real firstDF)
const Matrix & | volatilityDerivative (Size i) const
const Matrix & | priceDerivative (Size i) const
Real | impliedVolatility () const

## Detailed Description

In order to compute market vegas, we need a class that gives the derivative of a cap implied vol against changes in pseudo-root elements. This is that class.

The operation is non-trivial because the cap implied vol has a complicated relationship with the caplet implied vols.

This is tested in the pathwise vegas routine in MarketModels.cpp